QoreSourceLocation Struct Reference

Qore source location; strings must be in the default encoding for the Qore process. More...

`#include <ExceptionSink.h>`

Inheritance diagram for QoreSourceLocation:
[legend]

## Public Attributes

std::string | code
| the function or method call name; method calls in format class::name
int | end_line
| the end line
std::string | label
| the code label name (source file if source not present)
std::string | lang
| the source language
unsigned | offset = 0
| offset in source file (only used if source is not empty)
std::string | source
| optional additional source file
int | start_line
| the start line

## Detailed Description

Qore source location; strings must be in the default encoding for the Qore process.

Since
  Qore 0.8.13

The documentation for this struct was generated from the following file:

- include/qore/ExceptionSink.h